Delete data quality rule
curl --request DELETE \
--url https://api.example.com/api/dq/rules/ids/{dq_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/dq/rules/ids/{dq_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/dq/rules/ids/{dq_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Quality
Delete data quality rule
Delete a data quality rule by its unique ID.
DELETE
/
api
/
dq
/
rules
/
ids
/
{dq_id}
Delete data quality rule
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique ID of the data quality rule.
Response
DQ rule deleted successfully.
The response is of type string.
Was this page helpful?
⌘I

